﻿using Syncfusion.Windows.Controls.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RTE_Sample_Nuget
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            

        }

        private void LoadHtml_Click(object sender, RoutedEventArgs e)
        {
            Assembly assembly = typeof(MainWindow).Assembly;
            Stream stream = assembly.GetManifestResourceStream("RTE_Sample_Nuget.Assets.helloworld.html");
            richTextBoxAdv.Load(stream, FormatType.Html);
        }

        private void SaveHtml_Click(object sender, RoutedEventArgs e)
        {
            richTextBoxAdv.Save("helloworld_Modified.html");
            msgBox.Text = "helloworld_Modified.html - saved to bin folder";
        }

        private void LaunchHtml_Click(object sender, RoutedEventArgs e)
        {
            Process.Start("chrome.exe", "helloworld_Modified.html");
        }
    }
}
